Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogicx.jsp.tags
Class RepeatTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              weblogicx.jsp.tags.RepeatTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class RepeatTag

extends BodyTagSupport

The repeat tag is used to iterate over many different types of sets including Enumerations, Iterators, Collections, Arrays of Objects, Vectors, ResultSets, ResultSetMetaData, and the keys of a Hashtable. You can also just loop a certain number of times by using the count attribute.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RepeatTag()`

Method Summary
`int` | `doAfterBody()`
`void` | `doInitBody()`
`int` | `doStartTag()`
`int` | `getCount()`
`String` | `getId()`
`Object` | `getSet()`
`String` | `getType()`
`void` | `release()`
`void` | `setCount(int count)` In the case that no set is specified and a count is given, this is the number of times to include the enclosed JSP.
`void` | `setId(String id)` This is the id of the scripting variable that will contain the current object that you are iterating over.
`void` | `setSet(Object set)` This is the set of objects.
`void` | `setType(String type)` This is the type of object that results from iterating over the set you passed in.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### RepeatTag

    public RepeatTag()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`

### setId

    public void setId(String id)

  This is the id of the scripting variable that will contain the current object that you are iterating over. In the case where count is specified, it is the number of the iteration starting at 1.

  Overrides:
    `setId` in class `TagSupport`

### getId

    public String getId()

  Overrides:
    `getId` in class `TagSupport`

### setSet

    public void setSet(Object set)

  This is the set of objects. You must use <%= ... %> notation to pass in a variable that is the set. It will automatically iterate over a string, tokenizing on ",".

### getSet

    public Object getSet()

### setType

    public void setType(String type)

  This is the type of object that results from iterating over the set you passed in. It defaults to java.lang.Object. This type must be fully qualified.

### getType

    public String getType()

### setCount

    public void setCount(int count)

  In the case that no set is specified and a count is given, this is the number of times to include the enclosed JSP. If a count and a set are specified then it will include only the first "count" entries in the set.

### getCount

    public int getCount()

### doStartTag

    public int doStartTag()
                   throws JspException

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Throws:
    `JspException`

### doInitBody

    public void doInitBody()
                    throws JspException

  Specified by:
    `doInitBody` in interface `BodyTag`
  Overrides:
    `doInitBody` in class `BodyTagSupport`
  Throws:
    `JspException`

### doAfterBody

    public int doAfterBody()
                    throws JspException

  Specified by:
    `doAfterBody` in interface `IterationTag`
  Overrides:
    `doAfterBody` in class `BodyTagSupport`
  Throws:
    `JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD